unit SettingForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, SpTBXDkPanels, ExtCtrls, TBXDkPanels, IniFiles;

type
  TFormSetting = class(TForm)
    SpTBXGroupBox1: TSpTBXGroupBox;
    sshighlight: TSpTBXCheckBox;
    SpTBXLabel1: TSpTBXLabel;
    sshighlightcolor: TPanel;
    ssautodelete: TSpTBXCheckBox;
    SpTBXButton1: TSpTBXButton;
    SpTBXButton2: TSpTBXButton;
    ColorDialog1: TColorDialog;
    ssdownexforce: TSpTBXCheckBox;
    ssspeeddown: TSpTBXCheckBox;
    procedure SpTBXButton2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure sshighlightcolorClick(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  FormSetting: TFormSetting;

implementation

{$R *.dfm}

procedure TFormSetting.SpTBXButton2Click(Sender: TObject);
var
  ini: TMemIniFile;
begin
  ini := TMemIniFile.Create(ExtractFilePath(Application.ExeName) + 'Setting.ini');
  try
    ini.WriteBool('Setting','Highlight',sshighlight.Checked);
    ini.WriteInteger('Setting','HighlightColor',sshighlightcolor.Color);
    ini.WriteBool('Setting','AutoDelete',ssautodelete.Checked);
    ini.WriteBool('Setting','EWX_FORCE',ssdownexforce.Checked);
    ini.WriteBool('Setting','SpeedDown',ssspeeddown.Checked);
    ini.UpdateFile;
  finally
    ini.Free;
  end;
end;

procedure TFormSetting.FormCreate(Sender: TObject);
var
  ini: TMemIniFile;
begin
  ini := TMemIniFile.Create(ExtractFilePath(Application.ExeName) + 'Setting.ini');
  try
    sshighlight.Checked :=
      ini.ReadBool('Setting','Highlight',sshighlight.Checked);
    sshighlightcolor.Color :=
      ini.ReadInteger('Setting','HighlightColor',sshighlightcolor.Color);
    ssautodelete.Checked :=
      ini.ReadBool('Setting','AutoDelete',ssautodelete.Checked);
    ssdownexforce.Checked :=
      ini.ReadBool('Setting','EWX_FORCE',ssdownexforce.Checked);
    ssspeeddown.Checked :=
      ini.ReadBool('Setting','SpeedDown',ssspeeddown.Checked);
  finally
    ini.Free;
  end;
end;

procedure TFormSetting.sshighlightcolorClick(Sender: TObject);
begin
  if ColorDialog1.Execute then
    sshighlightcolor.Color := ColorDialog1.Color;  
end;

end.
